Re: System Only Recognizes up to 1GB RAM



On Sat, May 13, 2006 at 11:46:34AM -0400, Mark R. White wrote:
I have 5 different systems with very similar setups, some dual core,
some single, but all on the same chipset running 32 bit Debian Etch
linux with the 2.6.15 kernel (I think one might have the 2.6.12 kernel).

I presume there's a reason you're using Debian's i386 port instead of
their amd64 port?

All of them, no matter the
configuration, only sees up to 1GB ram. I have 1.5GB in one, and 2GB
in another, all say they only have 1GB. when I try more than 1GB in
the other machines, same results. Can anyone please help me?

Which linux-image package do you have installed? You need one with
highmem support enabled, which should include the -686 and -k7 packages.
(I would suspect you have the -386 package installed.)


--
To UNSUBSCRIBE, email to debian-user-REQUEST@xxxxxxxxxxxxxxxx
with a subject of "unsubscribe". Trouble? Contact listmaster@xxxxxxxxxxxxxxxx



Relevant Pages

  • Re: VPN / PPTP
    ... I have seen similar errors when my local copies of Package files get out of date with respect to the repository. ... my kernel before, and so far failing at the first stage. ... You may want to run apt-get update to correct these problems ... To UNSUBSCRIBE, email to debian-user-REQUEST@xxxxxxxxxxxxxxxx ...
    (Debian-User)
  • Re: cant see wireless card
    ... 0301 RT2561/RT61 802.11g PCI ... rt2500 chipset (that's why I went for the rt2500 package in the first ... I've compiled the module on my system (still using the old kernel, ... To UNSUBSCRIBE, email to debian-user-REQUEST@xxxxxxxxxxxxxxxx ...
    (Debian-User)
  • Re: Switching from ipw3945 to iwl3945 driver]
    ... The 2.6.24 kernel has recently hit unstable, ... is available as a package). ... The switching instructions are available at ... To UNSUBSCRIBE, email to debian-user-REQUEST@xxxxxxxxxxxxxxxx ...
    (Debian-User)
  • Switching from ipw3945 to iwl3945 driver]
    ... The 2.6.24 kernel has recently hit unstable, ... is available as a package). ... The switching instructions are available at ... To UNSUBSCRIBE, email to debian-user-REQUEST@xxxxxxxxxxxxxxxx ...
    (Debian-User)
  • Cannot boot with latest Lenny kernel 2.6.26
    ... I am running fully up-to-date Debian Lenny, using the AMD64 port. ... I cannot boot with the latest kernel - 2.6.26.1. ... I am wondering if anyone else is having this issue, if it's a known bug, or something that I need to enter as a bug. ... To UNSUBSCRIBE, email to debian-user-REQUEST@xxxxxxxxxxxxxxxx with a subject of "unsubscribe". ...
    (Debian-User)